#include<aiu10.h>;

void main(void)
{
   float s,r;
   DetectAIU();                           /* detect and set up AIU routines */
   clrscr();
   Power(1);                                     /* turn on power to AIU */
   SetRange(1);                                 /* set range to +/- 2.5V */
   s=-2.5;

   while (s<2.5){
      SetVoltage(s, 1);                              /* set DAC voltage */
      delay(50);
      r=ReadVoltage(1);                              /* read ADC voltage */
      printf("Sending %f  :  Reading %f \n",s,r);
      s=s+(5.0/256.0);
   }

   clrscr();
   SetRange(0);                                 /* set range to +/- 1.25V */
   s=-1.25;
   while (s<1.25){
      SetVoltage(s, 0);                              /* set DAC voltage */
      delay(50);
      r=ReadVoltage(0);                              /* read ADC voltage */
      printf("Sending %f  :  Reading %f \n",s,r);
      s=s+(2.5/256.0);
   }
}
